# ShowMeYourHands


![Image](https://i.imgur.com/buuPQel.png)


Pawns show their hands on their weapon when drafted. 
Should work with most weapons, vanilla and modded.

Based on https://steamcommunity.com/sharedfiles/filedetails/?id=2171708109]Clutter Weapon Hands but dynamically sets the hands based on the graphics of the weapon. It will however still use the old hand-definitions if they exist.

There is also mod-settings where you can modify the settings for each weapon. These settings can be exported and included in a mod to add native support.
All my "Continued"-mods should have native support.

There is also support for https://steamcommunity.com/sharedfiles/filedetails/?id=2543371889]Enable Oversized Weapons, https://steamcommunity.com/sharedfiles/filedetails/?id=2038409475]Yayo's Combat 3, https://steamcommunity.com/sharedfiles/filedetails/?id=2513695736]Yayo's Combat 3 [Adopted], https://steamcommunity.com/sharedfiles/filedetails/?id=2575938407]Yayo's Animation, https://steamcommunity.com/sharedfiles/filedetails/?id=1204108550]RunAndGun and https://steamcommunity.com/sharedfiles/filedetails/?id=1628211313]Dual Wield. Hands will follow the weapons even during the extra animations. 
Verified to work with https://steamcommunity.com/sharedfiles/filedetails/?id=1631756268]Combat Extended
Also shows hands when using https://steamcommunity.com/sharedfiles/filedetails/?id=2355912467]Grab your Tool

Settings


-  Coloring the hands based on apparel/armor color
-  Coloring the hands based on artificial limbs
-  Resizing the hands based on the bodysize of the pawn, this also works with https://steamcommunity.com/sharedfiles/filedetails/?id=2373187996]Children
-  Repositioning the hands based on the weaponsize, to support oversized weapons
-  Showing the hands when pawns carry stuff
-  Showing only one hand if the pawn is missing one
-  Showing the hands at all times



## Credits

Arcanant for providing hand-definitions for a lot of mods.
Telefonmast for the support with the texture-code.
qux for the updated hand-texture.
shiuanyue for the Chinese translation.
Preview-image includes armor and weapons from the excellent XCOM-mods by velcroboy333
https://steamcommunity.com/sharedfiles/filedetails/?id=2317335843]XCOM Armor
https://steamcommunity.com/sharedfiles/filedetails/?id=2062766405]XCOM Weapons

![Image](https://i.imgur.com/O0IIlYj.png)

Since modding is just a hobby for me I expect no donations to keep modding. If you still want to show your support you can gift me anything from my https://store.steampowered.com/wishlist/id/Mlie]Wishlist or buy me a cup of tea.

https://ko-fi.com/G2G55DDYD]![Image](https://i.imgur.com/Utx6OIH.png)


![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.


https://steamcommunity.com/sharedfiles/filedetails/changelog/2475965842]Last updated 2023-03-02
